const path       = require('path');
const glob       = require('glob');
const Suite      = require('./suite');
const createFlow = require('./create-flow');
const createTask = require('./create-task');


const globPattern = process.argv[2] || 'test/*.flow.js';
const filePaths   = glob.sync(globPattern, { silent: true });
const suite       = new Suite();

global.flow    = (...args) => suite.addFlow(createFlow(...args));
global.task    = (...args) => createTask(...args);

for (const filePath of filePaths) {
  // eslint-disable-next-line global-require
  require(path.resolve(filePath));
}

suite.start().then(ok => ok ? 0 : 1);
